package de.renew.logging.gui.test.helper;

import de.renew.engine.common.SimulatorEvent;
import de.renew.logging.gui.RepositoryChangeListener;
import de.renew.logging.gui.StepTrace;
import de.renew.logging.gui.StepTraceRepository;
import de.renew.simulatorontology.simulation.StepIdentifier;

public class TestStepTraceRepository implements StepTraceRepository {
    @Override
    public void addEvent(final SimulatorEvent event) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#addEvent");
    }

    @Override
    public StepTrace[] getStepTraces(final StepIdentifier[] steps) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#getStepTraces");
    }

    @Override
    public StepTrace[] getAllStepTraces() {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#getAllStepTraces");
    }

    @Override
    public StepTrace getStepTrace(final StepIdentifier stepIdentifier) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#getStepTrace");
    }

    @Override
    public boolean removeStepTrace(final StepIdentifier stepIdentifier) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#removeStepTrace");
    }

    @Override
    public void addRepositoryChangeListener(final RepositoryChangeListener listener) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#addRepositoryChangeListener");
    }

    @Override
    public void removeRepositoryChangeListener(final RepositoryChangeListener listener) {
        throw new UnsupportedOperationException(
            "Method is not defined: TestStepTraceRepository#removeRepositoryChangeListener");
    }
}
